#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 indexed-traversable-instances
version:              0.1.2
visibility:           public
id:                   indexed-traversable-instances-0.1.2-58lRRDpRvoWIqwE0DXFyEf
key:                  indexed-traversable-instances-0.1.2-58lRRDpRvoWIqwE0DXFyEf
license:              BSD-2-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Edward Kmett
synopsis:
    More instances of FunctorWithIndex, FoldableWithIndex, TraversableWithIndex

description:
    This package provides extra instances for type-classes in the [indexed-traversable](https://hackage.haskell.org/package/indexed-traversable) package.

    The intention is to keep this package minimal;
    it provides instances that formely existed in @lens@ or @optics-extra@.
    We recommend putting other instances directly into their defining packages.
    The @indexed-traversable@ package is light, having only GHC boot libraries
    as its dependencies.

category:             Data
abi:                  2b16fef9acf3a59fd3e2dba2f19f6e0f
exposed:              True
exposed-modules:      Data.Functor.WithIndex.Instances
import-dirs:
    /usr/lib/ghc-9.2.8/site-local/indexed-traversable-instances-0.1.2

library-dirs:
    /usr/lib/ghc-9.2.8/site-local/indexed-traversable-instances-0.1.2

dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-indexed-traversable-instances
hs-libraries:
    HSindexed-traversable-instances-0.1.2-58lRRDpRvoWIqwE0DXFyEf

depends:
    OneTuple-0.4.1.1-40NyffdgEi5Dyrbz0MGlFv base-4.16.4.0
    indexed-traversable-0.1.4-2elnsjZhi4wA3U7RB4qSBi
    tagged-0.8.9-KXBukbFHRBNBMyyfjfj7aP
    unordered-containers-0.2.20-3olzmtJszxXc2LJr1lW5F
    vector-0.13.1.0-IOwb1qSGKSdHIyg7Qp7MNu

haddock-interfaces:
    /usr/share/doc/haskell-indexed-traversable-instances/html/indexed-traversable-instances.haddock

haddock-html:         /usr/share/doc/haskell-indexed-traversable-instances/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

